Spigot ForceResourcePack [1.7 | 1.8 | 1.9] 1.1.12

Force players to use a resource pack

  1. inventivetalent submitted a new resource:

    ForceResourcePack - Force players to use a resource pack

    Read more about this resource...
     
  2. Is it possible to remove the dependency?
     
  3. I already replied to you review. It is a dependency made by me, in case you're only worried about external dependencies.
     
  4. Yes I am aware of that. My question is if it is possible. Why have a dependency if you don't have to?
     
  5. Mainly because I am the author of both plugins. And it is easier to just have plugins depend on each other, because I then don't have to update all of the other plugins if I change something.
     
  6. You should Specify what Spigot versions this works on. well more over the MC versions.
     
  7. Done.
     
  8. hi
    if i can use the keybin esc for escape the message i'm bypass the plugin
    it's a important bug
     
  9. lol :)
     
  10. 21.06 13:19:24 [Disconnect] User Hub ---> [INFO]: __Ignition__ has disconnected, reason: Internal Exception: net.minecraft.util.io.netty.handler.codec.DecoderException: java.lang.IndexOutOfBoundsException: readerIndex(11) + length(1) exceeds writerIndex(11): UnpooledHeapByteBuf(ridx: 11, widx: 11, cap: 11)

    Happens on 1.8. 1.7 working fine.
     
    #11 SeniorCluckers, Jun 21, 2015
    Last edited: Jun 21, 2015
  11. Please be more specific about what you did before that happened.
     
  12. Help please?
    I set the resourcepack. I loged in using 1.7 and it worked. Then i loged in with 1.8 it starts to download and then crashes. Wait the resourcepack can be hosted off a website. It's a direct link.

    *Update - Thats what i get on console the big error up there and on screen I get [Proxy] Lost connection to server. I'm using bungee keep it in mine.
     
    #13 SeniorCluckers, Jun 21, 2015
    Last edited: Jun 21, 2015
  13. Thanks for the help thoe. Anything that is 1.8 does not work. This isnt compatible.

    Error : net.minecraft.util.io.netty.handler.codec.DecoderException: java.lang.RuntimeException: An internal error occured.

    Im running on spigot hack. Also im running bungeecord. So the server im using this plugin on is on the bungeecord network.
     
    #15 SeniorCluckers, Jul 3, 2015
    Last edited: Jul 3, 2015
  14. @Amerikan
    Please report problems in the discussion before reviewing.
     
    • Agree Agree x 1
  15. This plugin is bugged if using it with DynamicTextures, anyone know how to fix it?
    Or maybe there is how to set multi world textures with this plugin?
     
    #17 Amerikan, Jul 15, 2015
    Last edited: Jul 15, 2015
  16. Please be more specific. Don't just say "it is bugged".
     
  17. When using DynamicTextures with this plugin i get kicked by the remote host or i can't move even when I download the resource pack, my configs are now set to don't kick but restrict moves, i let the ResourcePack URL on this plugin empty and i set the URL to the DynamicTextures plugin but, but it bugs everything, how to fix it?
     
  18. is it possible to force the default without providing a link to it? No need to get players to download something they already have. But I would like to force them to use the default when its competitive stuff like UHC and hunger games.